Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.heuristic.selector.variable
Class PlanningVariableWalker

    java.lang.Object
      org.drools.planner.core.heuristic.selector.variable.PlanningVariableWalker

All Implemented Interfaces:
  EventListener, SolverPhaseLifecycleListener, SolverLifecycleListener

Deprecated.

    @Deprecated
    public class PlanningVariableWalker

extends Object
implements SolverPhaseLifecycleListener

Constructor Summary
`PlanningVariableWalker(PlanningEntityDescriptor planningEntityDescriptor)` Deprecated.

Method Summary
`boolean` | `hasWalk()` Deprecated.
`void` | `initWalk(Object planningEntity)` Deprecated.
`Iterator<Move>` | `moveIterator(Object planningEntity)` Deprecated.
`void` | `phaseEnded(AbstractSolverPhaseScope phaseScope)` Deprecated.
`void` | `phaseStarted(AbstractSolverPhaseScope phaseScope)` Deprecated.
`void` | `resetWalk()` Deprecated.
`void` | `setPlanningValueWalkerList(List<PlanningValueWalker> planningValueWalkerList)` Deprecated.
`void` | `solvingEnded(DefaultSolverScope solverScope)` Deprecated.
`void` | `solvingStarted(DefaultSolverScope solverScope)` Deprecated.
`void` | `stepEnded(AbstractStepScope stepScope)` Deprecated.
`void` | `stepStarted(AbstractStepScope stepScope)` Deprecated.
`void` | `walk()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanningVariableWalker

    public PlanningVariableWalker(PlanningEntityDescriptor planningEntityDescriptor)

  Deprecated.

Method Detail

### setPlanningValueWalkerList

    public void setPlanningValueWalkerList(List<PlanningValueWalker> planningValueWalkerList)

  Deprecated.

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Deprecated.
  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope phaseScope)

  Deprecated.
  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(AbstractStepScope stepScope)

  Deprecated.
  Specified by:
    `stepStarted` in interface `SolverPhaseLifecycleListener`

### stepEnded

    public void stepEnded(AbstractStepScope stepScope)

  Deprecated.
  Specified by:
    `stepEnded` in interface `SolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope phaseScope)

  Deprecated.
  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Deprecated.
  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`

### initWalk

    public void initWalk(Object planningEntity)

  Deprecated.

### hasWalk

    public boolean hasWalk()

  Deprecated.

### walk

    public void walk()

  Deprecated.

### resetWalk

    public void resetWalk()

  Deprecated.

### moveIterator

    public Iterator<Move> moveIterator(Object planningEntity)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.